**xdgjson** is a very simple wrapper around jsoncpp written in C++. It reads
and writes files in `${XDG_CONFIG_HOME}`. It creates subdirectories if
necessary.

### Dependencies

* C++ compiler
* [cmake](https://cmake.org/)
* [pkgconfig](https://pkgconfig.freedesktop.org/wiki/)
* [jsoncpp](https://github.com/open-source-parsers/jsoncpp)
* [libxdg-basedir](http://repo.or.cz/w/libxdg-basedir.git)

### Usage

You can create dynamic and static libraries:

```SH
mkdir build
cd build
cmake ..
make
make install
```

Or just copy `xdgjson.hpp` and `xdgjson.cpp` into your project folder.

### Documentation

`xdgjson.hpp` has explanatory comments in it and there is an
[example](src/example.cpp). The reference is also available at
[doc.schlomp.space/xdgjson/](https://doc.schlomp.space/xdgjson/classxdgjson.html).
